Masumi Logo

/x402-payments

Lists x402 payment attempts (inbound verify/settle and outbound payments), newest first, with their settlement result.

GET
/x402/payments
token<token>

API key authentication via header (token)

In: header

Query Parameters

take?number

Number of payment attempts to return

Default20
Range1 <= value <= 100
cursorId?string

Pagination cursor (provide the id of the last returned attempt)

Lengthlength <= 550
status?string

Filter by payment status

Value in"PaymentRequired" | "Verified" | "Settled" | "Failed" | "Replayed"
direction?string

Filter by payment direction

Value in"InboundVerify" | "InboundSettle" | "OutboundPayment"
caip2Network?string

Filter by CAIP-2 chain id

Match^eip155:\d+$

Response Body

application/json

curl -X GET "https://loading/./../api/v1/x402/payments"
{
  "status": "success",
  "data": {
    "PaymentAttempts": [
      {
        "id": "clx402attempt0001",
        "createdAt": "2026-06-02T12:00:00.000Z",
        "updatedAt": "2026-06-02T12:00:00.000Z",
        "direction": "InboundSettle",
        "status": "Settled",
        "apiKeyId": "api_key_id",
        "evmWalletId": null,
        "registryRequestId": null,
        "supportedPaymentSourceId": "supported_payment_source_id",
        "caip2Network": "eip155:8453",
        "asset": "0x833589fcd6edb6e08f4c7c32d4f71b54bda02913",
        "amount": "1000000",
        "payTo": "0x2222222222222222222222222222222222222222",
        "payer": "0x3333333333333333333333333333333333333333",
        "resource": null,
        "paymentIdentifier": null,
        "errorReason": null,
        "errorMessage": null,
        "Settlement": {
          "id": "clx402settlement0001",
          "success": true,
          "txHash": "0x4242424242424242424242424242424242424242424242424242424242424242",
          "amount": "1000000",
          "payer": "0x3333333333333333333333333333333333333333",
          "createdAt": "2026-06-02T12:00:00.000Z"
        }
      }
    ]
  }
}
Masumi Kanji